// Utilité : permet de gérer complètement la page d'introduction 


void dessinerPageIntro(){

//---------- Gestion des rectangles verts du logo
    //-----Constructions des objets dans le tableau d'objets rectangles verts
      //---On ne construit les objets que si cela n'a pas encore été fait
      if(dynRectOK==0){
        mesRectanglesVerts = new DynRect[3][3]; //Déclaration et création de la structure du tableau d'objets rectangles verts
        //--On passe en revu tous les objets d'une ligne
        for(int i=0;i<3;i++){
          for(int j=0;j<3;j++){
            println(i);print(j);
            //-On construit l'objet 1 à 3
            mesRectanglesVerts[i][j] = new DynRect(270+i*80,160+j*60,40,60);
          }
        }// Fin FOR
        dynRectOK=1;
      }// Fin IF
    
    //-----Affichage effectifdes rectangles verts
    //---Balayage des colonnes
    for(int i=0;i<3;i++){
      //--Balayage des lignes
      for(int j=0;j<3;j++){
        //-Exclusion de 2 rectangles aux extrèmités
        if((i==2 && j==0) || (i==0 && j==2)){continue;}
        //-Dessin efectif par la méthode dessin
        if(cnt<25){mesRectanglesVerts[i][j].dessiner();}
      }
    }

    //-----Affichage effectifdes du nom
    pushStyle();
    imageMode(CENTER);
    image(logo10, largFen/2-20, hautFen/2+110);
    popStyle(); 

    //-----Filtre noir sur tout l'écran
    pushStyle();
      //---On diminue la valeur de transparence du filtre
      if(filtreIntro>1){filtreIntro = filtreIntro-15;}
      fill(0,0,0,filtreIntro);
      rect(0,350,largFen,hautFen);
    popStyle();
    
    // PASSAGE DE RELAIS 
    //-----Passage de relais
    if(cnt==40){
      intro=0;                           // On interdit l'afichage de l'intro
      config=1;                          // On atorise l'affichag de la page de config
      cnt=0;
    }


}


// Utilité : contient les objets utiles pour l'intro

DynRect[][] mesRectanglesVerts;
int dynRectOK = 0;             // Vaut 1 quand les objets rectangles verts ont été construits
int filtreIntro = 255;         // Valeur de tranparence du filtre de la page d'intro

//§----------------------------Objets type rectangles verts


//-----On déclare le nom de cette nouvelle classe
class DynRect {
  //---On déclare toutes les variales internes utiles à la gestion de l'objet
  int posGauche;
  int posHaute;
  int hauteur = 25;
  int largeur = 40;

  
  //---On déclare le constructeur : il permet de fornir les valeurs initiales à l'objet
  DynRect( int PG, int PH, int H, int L){
    //--On initialise les valeurs interes de l'objet avec les valeurs externes avec adaptation si besoin.
    posGauche = PG;
    posHaute = PH;
    hauteur = H;
    largeur = L;

  }
  
  //---On déclare une méthode de dessin
  void dessiner(){
    //--On sauvegarde le contexte de coleurs...
    pushStyle();
    //--On impose nos propres couleurs = vert aléatoire et pas de trait
    fill(0,random(25,255),0);noStroke();
    //--On dessne le rectangle
    rect(posGauche,posHaute,largeur,hauteur);
    popStyle();
  }
}
    
  
  
  
  

