//**************************************************************************************
// Utilité : permet d'initialiser une nouvelle partie

// Fonctionnement : on remet à des valeurs initiales toutes les variables du jeu

//---------- Variables utiles
      // finPartie      Vaut 1 si la partie est finie

//------ Nouvelles variables
int btClique=0;                        // Passe à 1 quand le bouton vient juste d'être cliqué

//----- Dessin
//--- Position d bouton por refaire une partie
int posHauteBt=450;                    // Position du haut du bouton ar raport au aut de la fenêtre
int largBt = 300;                      // Largeur totale du bouton
int hautBt = 60;                       // Hauteure totale du bouton
int posGaucheBt=largFen/2-largBt/2;    // Position gauche du bouton (valeur calculée)
int posDroiteBt = posGaucheBt+largBt;  // Position droite du bouton (valeur calculée)
int posBasseBt  = posHauteBt+hautBt;   // Position basse du bouton (valeur calculée)


//---------- FONCTION : Gérer le Reload
void gererLeReload(){
  //----------On teste dans un premier temps si la partie est finie
  if(finPartie==1){
    //----- On dessine ensuite un bouton "Refaire une partie"
    dessinerBtRefairePartie();
    //----- Calculer la position du "clic" de souris
    testerPositionDuClic();
    //----- Réinitialiser les variables
    reinititialiserVariables(); 
  }
}//## 




//=========================== SOUS-PROGRAMMES

void dessinerBtRefairePartie(){
  pushStyle();
  fill(50,10,10);stroke(250,50,50);rectMode(CORNER);
  rect(posGaucheBt,posHauteBt,largBt,hautBt);
  fill(255,50,50);textAlign(CORNER);textFont(font01,25);
  text("Refaire partie",posGaucheBt+40,posHauteBt+40);
  popStyle();
  
}//##

void testerPositionDuClic(){
  // On test si la souris est au dessus du bouton
    //--- Test en X
    if(mouseX>posGaucheBt && mouseX<posDroiteBt && mouseY<posBasseBt && mouseY>posHauteBt && mousePressed){
      btClique=1;
    } else {btClique=0;}
}//##

void reinititialiserVariables(){
  // On test si un bouton de la souris à été pressé
  if(btClique==1){
    
    // On réinitialise les variables
    //---------- COMPTEURS
    cnt     = 0;                          // Augmente de 1 à chaque passage de draw() (RAZ par calculerObjets)
    nbrVies = 8;                          // Diminue de 1 à chaque perte de vie
    attenteNouvelleColision=1;            // Est placé à 0 quand une colision est en cours et est déjà décomptée
    nbrPts  = 0;                          // Nombre de points gagnés par le joueur
    finPartie = 0;                        // Est placé à 1 quand la partie est finie
    finBat    = 0;                        // Est placé à 1 quand il n'y a plus qu'un seul bâtiment ou aucun
    roi       = 0;                        // Est placé à 1 quand un roi est constitué
    defilementPartieAutorise=1;           // Autorise à nouveau le défilement de la partie

    //----- Objets SI
    posVaisseauMere = 4;                  // Par défaut, le vaisseau mère est au milieu
    for(int i=0;i<nbrLig;i++){
      for(int j=0;j<nbrCol;j++){
        posObj[i][j]=0;
      }
    }
   //----- Base
     // Liste de tous les bâtements de la base
    for(int i=0;i<nbrCol;i++){batimentsBase[i]=10;} 
  }
}//##


//*/

  
  
  


