//**************************************************************************************
// Utilité : calcul des colisions robot/base

void detecterColisionBase(){
 
  if(posObj[9][posVaisseauMere]==0 && presenceRobotSurDerniereLigne()>0){
    //----- On déclare qu'une nouvelle colision peut avoir lieu avec le veaisseau mère
 
    
    //----- On dégrade les bâtiments de la base touchés
    //INFO : batimentsBase[] est un tableau contenant l'état des 10 bâtiments du bas
    //       10 = Bâtiment en parfait état
    //       09 = Bâtiment touché une fois
    //       08 = Bâtiment touché 2 fois
    //       00 = bâtiment détruit
    
    //--- Passage en revu de l'état de tous les bâtiments
    for(int i=0;i<nbrBat;i++){
      if(posObj[9][i]==1 && batimentsBase[i]>seuilPresRoi){        // Si un robot est détecté (si présence d'un 1 dans la colonne scrutée, alors...
        //On dégrade le bâtiment en face du robot
        batimentsBase[i]=batimentsBase[i]-1;                 // La dégradation se fait en diminuant la valeur cotenue dans la tableau
      }//Fin IF
    }//Fin FOR
  }//Fin I
}

//========================================================= Permet de tester si un robot est présent sur la 10ème ligne
int presenceRobotSurDerniereLigne(){
  // Méthode : si la somme des valeurs de l'avant dernière ligne du tableau des objets est différente de 0 => Présence d'un robot
  int nbrObjLig8=0;
  for(int k=0;k<nbrLig;k++){
    nbrObjLig8=nbrObjLig8+posObj[8][k];
  }
  return nbrObjLig8;
  
}
