//**************************************************************************************
// Utilité : initialise le port série et ne fait rien d'autre
//             scanne les ports ouverts

// Lancé par le setup()


//==================================== SCANNE LES PORTS OUVERTS
// Utilité : retourne le nombre de ports ouverts dans la variable nbrPortsOuverts
void scannerPorts(){
  //-----On teste si le scanne des ports est réellement nécessaire
  if(scanPortsAFaire==1){
    //-----On écrit qu'en scan est à faire
    println("//////////////////// SCAN DES PORTS");
    println("Un scan est à faire - scanPortsAFaire vaut : "+scanPortsAFaire);
    //-----On charge la liste des ports dans un tableau
    println("Chargement de Serial.list");
    portsOuverts = Serial.list();
    println("Scan terminé");
    println("Le tableau portsOuverts vaut :");
    println(portsOuverts);
    //-----On détermine la taille du tableau
    nbrPortsOuverts = portsOuverts.length;
    println("Nomre de ports ouverts : "+nbrPortsOuverts);
    //-----On déclare qu'il n'est plus necessaire de scanner à noveau les ports
    scanPortsAFaire=0;
    //-----On écrit que le scanne est fait
    println("Le scan des ports terminé");
    //-----On déclare qu'une constuction de ports doit être faite
    constructionPortsAFaire=1;
    println("constructionPortsAFaire vaut : "+constructionPortsAFaire);
  
}
}


//==================================== CONSTRUIT LES OBJETS PORT
// Utilité : permet de créer un ojet port pour chaque port ouvert dsponible

void initialiserPorts(){
  //----On teste par séurité si une construction de ports est réellement à faire
  if(constructionPortsAFaire==1){
    println("//////////////////// CONSTRUCTION DES PORTS");
    //----On teste si on a au moins un port disponible
    if(nbrPortsOuverts>0){
     println("Le nombre de ports à construire est de : "+nbrPortsOuverts);
      for(int i=0;i<nbrPortsOuverts;i++){
      //On crée ensite le port avec un n° de la liste 1*transmis en argument par nPort
      println("Construction du port : "+i+" nommé : "+Serial.list()[i]);
      monPort[i] = new Serial(
            this,                       // Connexion à cette fenêtre
            Serial.list()[i],           // Liste des ports [0] [1] ou [2]
            9600);                      // Vitesse de transmission série en bauds (bits/s) doit être la même sur Picaxe/Arduino
      delay(20);                        // Faire une pause après création d'un port
      }// Fin boucle For...
    //-----On déclare que la construction des ports n'est plus à faire
    constructionPortsAFaire=0;
    println("Le logiciel va travailler avec "+nbrPortsOuverts+" ports - Vérifier nbr avant utilisation");
    }// Fin Si nbr de ports...
  }// Fin Si construction port à faire...
}//# Fin fonction
    
    
    
    
  // Je n'utilise pas le gestionnaire d'évenement série pour l'instant mais c'est possible          
  //monPort.bufferUntil('\n');          // Caractère déclenchant un événement série
                                        // Choix personnel : \n (=retour chariot)
                                        // Ainsi, à chaque fois que qq chose se passe sur le port Série
                                        // Le gestionnaire d'événement "serialEvent()" est lancé 
                                        // On est pas obligé d'utiliser ce gestionnaire d'événement
                                        // On peut simplement tester à chaque passage dans le draw(){test;}
 





